;;; -*-byte-compile-dynamic: t;-*-
;;; od-crown.el --- dictionary-dependent file (Sanseido Crown Deutch, fran,Ag(Bais)
;; Author: MITA Yoshio <mita@jp.FreeBSD.org>
;; This file is created for Sanseido EBXA book ISBN4-385-61101-7, 4-385-61100-9
(eval-when-compile

(defconst odccl-gaiji-crown1
  (list
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil ["#,C" ",AG(B"]  ["#/oe/" ",00(B"] ["#,c" ",0N(B"] 
	["#^a" ",Ab(B"] ["#~a" ",Ac(B"] ["a" ",0,(B"] ["#e" ",0'(B"]
	;
	["#o" ",07(B"] ["#E" ",0#(B"] ["#g" ",0E(B"] ["#/,0ES(B/" ",0T(B"] 
	["#/ng/" ",0U(B"] ["#/#,06(B" ",0/(B"] ["$B"i(B" ",0L(B"] ["#g" ",0M(B"] 
	;
	[":" ",0r(B"] ["#`a" ",A`(B"] ["#~#a" ",0<(B"]   (vector "#~#/ae/" (compose-string "~,Af(B"))
	["#~#,06(B" ",0>(B"]  ["#~#E" ",0;(B"]  ["#,0Q(B" ",0](B"] ["," ",A8(B"] 
	;
	["#-i" ",Do(B"] ["#~n" ",Aq(B"] ["#~o" ",Au(B"] ["#~#/,06"(B/" ",0=(B"] 
	["E" ",AI(B"] ["#,0p%(B" ",Aa(B"] ["#,0"(B" ",Ai(B"] ["'" ",A4(B"]
	;
	["#`A" ",A@(B"] ["#`E" ",AH(B"] ["a" ",A`(B"] ["e" ",Ah(B"] 
	["#`u" ",Ay(B"] ["`" "`"] ["#\"a" ",Ad(B"] ["#\"e" ",Ak(B"] 
	;
	["#\"o" ",Av(B"] ["#\"u" ",A|(B"] ["#\"" ",B((B"] ["#\",0 (B" ",Ao(B"] 
	["#^A" ",AB(B"] ["#^#E" ",AJ(B"] ["#^O" ",AT(B"] ["#^e" ",Aj(B"] 
	;
	(vector "#^#\",0 (B" (compose-string "^,Ao(B")) 
        ["#^o" ",At(B"] ["#^u" ",A{(B"] ["^" "^"] 
	["#^i" ",An(B"] ["#,0E(B" "#g"] ["#/ae/" ",Af(B"] ["#i" ",C9(B"] 
	;
	["$B&B(B" ",A_(B"] ["#'i" ",Am(B"] ["#'o" ",As(B"] ["#'u" ",Az(B"]

	["#/ua/" ",Bc(B"]        (vector "#^#i" (compose-string ",B7,C9(B"))
	["#/uu/" ",C}(B"] ["$B&H(B" ",0H(B"] 
	;
	[ "#v" ",0+(B"] ["#`o" ",Ar(B"] (vector "#'#a" (compose-string ",A4,0,(B")) 
        (vector "#'#a" (compose-string ",A4,0$(B"))
	(vector "#'#,0"(B" (compose-string ",A4,0'(B"))
        (vector "#'#,06(B" (compose-string ",A4,07(B")) 
        (vector "#'#E" (compose-string ",A4,0#(B"))
        (vector "#'#,0G(B" (compose-string ",A4,0+(B"))
	;
        (vector "#'#-" (compose-string ",A4(B-"))
	["#^i" ",C9(B"]	["$B"@(B" "$B"@(B"]	["v" "v"]
	["#y" ",0.(B"] ["#l" "#,0Z(B"] ["#$B&$(B" "#,FD(B"] ["$B!7(B" "$B!7(B"] 
	;
	["-" "-"] ["$B"-(B" "$B"-(B"]
        (vector "#'#~o" (compose-string ",A4u(B"))
        (vector "#'#~a" (compose-string ",A4c(B"))
        (vector "#'#~#E" (compose-string ",A4,0;(B"))
        (vector "#'#~#,06(B" (compose-string ",A4,0>(B"))
	["#,0%(B" ",0((B"]	(vector "#^#a" (compose-string ",B7,0((B"))
	;
	["#~n" ",Aq(B"]
	(vector "#~#a" (compose-string "~,0((B"))
	["#vC" ",BH(B"] ["#vC" ",Bh(B"] 
	["#vz" ",B>(B"]
	(vector "#/uy/" (compose-string ",B",0-(B"))
	(vector "#/ui/" (compose-string ",B",0Z(B"))
))

(defconst odccl-gaiji-crown2
  (list	
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil
	(vector "#/u#E/" (compose-string ",B",0#(B"))
	["#'n" ",Bq(B"]	["#'y" ",B}(B"]
	(vector "#'#/,06"(B/" (compose-string ",A4,00(B"))
	(vector "#'y" (compose-string ",A4,0.(B"))
	(vector "#'#/,06(B" (compose-string ",A4,0/(B"))
	["#\"O" ",AV(B"]	["#\"U" ",A\(B"]
	(vector "#\"$B&B(B" (compose-string ",B(,A_(B"))
	["#\"A" ",AD(B"]	["#'U" ",AZ(B"]	["#'" ",0p(B"]
	(vector "#/u#a/" (compose-string ",B",0((B"))
	["#\"U" ",A\(B"]
	(vector "#/uo/" (compose-string ",B"(Bo"))
	["#^" ",B7(B"]	["#$B!o(B" ",A%(B"]
))

(defconst odccl-gaiji-crown3
  (list	
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	
	"$B"*(B"
	(vector "$B"+"*(B" (compose-string "$B"+"*(B"))
	["*" "*"]
	"$B"x(B"
	"$B!L(B"	"$B!M(B"
	["#/#'ei#$B"^(B/" "#/,Ai(Bi#$B"^(B/"]
	"$B!e(B"
	["#/#'y#e#$B"^(B/" "#/,A},0'(B#$B"^(B/"]
	["#/,04 (B#$B"^(B/" "#/,04 (B#$B"^(B/"]
	"$B!D(B"
;;;	(vector "[1]" (compose-string "$B#1""(B"))
;;;	(vector "[2]" (compose-string "$B#2""(B"))
;;;	(vector "[3]" (compose-string "$B#3""(B"))
;;;	(vector "[4]" (compose-string "$B#4""(B"))
;;;	(vector "[5]" (compose-string "$B#5""(B"))
;;;	(vector "[6]" (compose-string "$B#6""(B"))
;;;	(vector "[7]" (compose-string "$B#7""(B"))
;;;	(vector "[8]" (compose-string "$B#8""(B"))
;;;	(vector "[9]" (compose-string "$B#9""(B"))
	(append odccl-start-inv '("$B#1(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#2(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#3(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#4(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#5(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#6(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#7(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#8(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("$B#9(B") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("10") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("11") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("12") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("13") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("14") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("15") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("16") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("17") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("18") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("19") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("20") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("21") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("22") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("23") odccl-end-inv '((repeat)))
	"#/$BLZH}(B/"
	"#/$B2P2K(B/"
	"#/$BQRVx:A(B/"	"#/$B0a5n(B/"	"#/$BB-IU(B/"	"#/$BQRVxI<(B/"
	"#/$BC]A<(B/"	"#/$B9|;a!2(B/"
	"$B"M(B"
	["#/$B>e%U%'%k%^!<%?(B/"  "#/$B>e(IL*YO0@(B/"]
	"$B!h(B"
	"#$B"^(B"
	["(C)" ",M)(B"]
	["#/OE/" ",01(B"]
	["#/a,0 (B#$B"^(B/" "#/a,0 (B#$B"^(B/"]
	["#/au#$B"^(B/" "#/au#$B"^(B/"]
	["#/#oy#$B"^(B/" "#/,07-(B#$B"^(B/"]
	["#/,0p(Ba,0 (B#$B"^(B/" "#/,Aa,0 (B#$B"^(B/"]
	["#/,0p(Bau#$B"^(B/" "#/,Aa(Bu#$B"^(B/"]
	["#/'#oy#$B"^(B/" "#/,0p7-(B#$B"^(B/"]
	["#/,0@F(B#$B"^(B/" "#/,0@F(B#$B"^(B/"]
	["#/,0BJ(B#$B"^(B/" "#/,0BJ(B#$B"^(B/"]
	["#/,0B(B#,0J(B#$B"^(B/" "#/,0BL(B#$B"^(B/"]
	["#/,0C(B#,0K(B#$B"^(B/" "#/,0CML(B#$B"^(B/"]
	"$B"*(B"
	"#/$BLZFb(B/"
	"#/$BQRVx@a(B/"
	["#/$B2<%U%'%k%^!<%?(B/"  "#/$B2<(IL*YO0@(B/"]
	"#/$B%&Ac(B/"	"$B%s(B"
	))

(defun odccl-make-ccl-crown (&optional key)
  (odccl-make-ccl
   (odccl-make-low-tables
    (append
     (odccl-low-alist-japanese key)
     (list (cons 161
		 (` (read-branch
		     r2
		     (,@ (odccl-select odccl-gaiji-crown1 key)))))
	   (cons 162
		 (` (read-branch
		     r2
		     (,@ (odccl-select odccl-gaiji-crown2 key)))))
	   (cons 164
		 (` (read-branch
		     r2
		     (,@ (odccl-select odccl-gaiji-crown3 key)))))
	   )))))


)					; end of eval-when-compile

;(defconst od-ccl-crown (odccl-compile odccl-make-ccl-crown))

(odccl-define od-ccl-crown-x (ccl-compile (odccl-make-ccl-crown 'x)))

(odccl-define od-ccl-crown-nw (ccl-compile (odccl-make-ccl-crown)))

(defvar od-crown-not-example-header-regexp " +[^ (I%$B!&(B]")
(defvar od-crown-example-header-regexp " +[(I%$B!&(B]")

(defun od-filter-crown ()
  (let ((head (concat "^" od-crown-not-example-header-regexp))
	(tail (concat "\n" od-crown-example-header-regexp)))
    (goto-char 1)
    (while (re-search-forward head nil t)
      (end-of-line)
      (if (looking-at tail)
	  (insert "$B!'(B")))))

(defun od-crown-compute-fill-prefix ()
  (save-excursion
    (while (eolp)
      (forward-char))
    (cond ((looking-at
	    " +\\([A-Z]?[1-9][0-9]?[a-z]? \\|[a-z] \\|[(I%$B!&(B]\\|[$B!](B]\\|([1-9][0-9]?)\\)")
;;;	   (goto-char (match-end 0))
;;;	   (concat "$B!!(B" (make-string (- (current-column) 2) ?\ )))
;;	   (goto-char (match-beginning 0))
;;	   (concat "$B!!(B" (make-string (+ (current-column) 3) ?\ )))
	   "$B!!(B   ")
	  ((>= (current-indentation) 2)
	   (concat "$B!!(B"
		   (make-string (- (current-indentation) 2) ?\ )))
	  (t
	   nil))))

(od-modify-dict-parameters
 "crfre"
 (cons
  (cons 'summary
	(cons od-crown-not-example-header-regexp
	      "\\($B!'(B$\\|\^M\\)"))
  '((pretty-name . "$B%/%i%&%sJ)OB<-E5(B")
    (ccl . (od-ccl-crown-x . od-ccl-crown-nw))
    (japanese-input . nil)
    (filter-func-list
     . (od-convert-one-digit-superscript
	od-filter-crown od-filter-buffer))
    (filter-regexp-list . nil)
    ;; (fill-function . default)
    (compute-fill-prefix-func . od-crown-compute-fill-prefix)
    (header-column . nil)
    (secondary-dictionary . ((?a . "crfre") (?A . "crfre"))))))
(od-add-title-name "		         $B;0>JF2%/%i%&%sJ)OB<-E5(B")

(od-modify-dict-parameters
 "crger"
 (cons
  (cons 'summary
	(cons od-crown-not-example-header-regexp
	      "\\($B!'(B$\\|\^M\\)"))
  '((pretty-name . "$B%/%i%&%sFHOB<-E5(B")
    (ccl . (od-ccl-crown-x . od-ccl-crown-nw))
    (japanese-input . nil)
    (filter-func-list
     . (od-convert-one-digit-superscript
	od-filter-crown od-filter-buffer))
    (filter-regexp-list . nil)
    ;; (fill-function . default)
    (compute-fill-prefix-func . od-crown-compute-fill-prefix)
    (header-column . nil)
    (secondary-dictionary . ((?a . "crger") (?A . "crger"))))))
(od-add-title-name "		         $B;0>JF2%/%i%&%sFHOB<-E5(B")

;;; od-crown.el ends here
