;;; -*-byte-compile-dynamic: t;-*-
;;; od-kojien.el --- dictionary-dependent file (kojien EB)
;; Author: YAMAMOTO Mitsuharu <mituharu@is.s.u-tokyo.ac.jp>

(eval-when-compile

(defconst odccl-gaiji-kojien1
  (list	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil		["#'a" ",Aa(B"]	["#`a" ",A`(B"]	["#^a" ",Ab(B"]
	["#\"a" ",Ad(B"]	["#~a" ",Ac(B"]	["#=a" ",D`(B"]	"#.a"
	["#'c" ",Bf(B"]	["#/vc/" ",Bh(B"]	"#.d"		["#'e" ",Ai(B"]
	["#`e" ",Ah(B"]	["#^e" ",Aj(B"]	["#\"e" ",Ak(B"]	["#=e" ",D:(B"]
	"#`g"		"#.h"		["#'i" ",Am(B"]	["#^i" ",An(B"]
	["#\"i" ",Ao(B"]	["#=i" ",Do(B"]	["#.l" ",D6(B"]	"#.m"
	["#'n" ",Bq(B"]	["#~n" ",Aq(B"]	["#=n" "#,A/(Bn"]	["#.n" ",Dq(B"]
	["#'o" ",As(B"]	["#`o" ",Ar(B"]	["#^o" ",At(B"]	["#\"o" ",Av(B"]
	["#~o" ",Au(B"]	["#=o" ",Dr(B"]	"#/vo/"		["#.r" ",D3(B"]
	["#./vr/" "#.,Bx(B"]["#'s" ",B6(B"]	"#.s"		["#/vs/" ",B9(B"]
	["#.t" ",B~(B"]	["#'u" ",Az(B"]	["#/uu/" ",C}(B"]	["#\"u" ",A|(B"]
	["#=u" ",D~(B"]	"#/vu/"		["#\"y" ",M(B"]	"#'z"
	"#.z"		["#=" ",A/(B"]	"#."		["#i" ",C9(B"]
	"~"		["#,c" ",Ag(B"]	["#/u/" ",B"(B"]	"#/`/"
	"#/g/"		["'" ",A4(B"]	"#/'/"		["#/ng/" ",D?(B"]
	["#/v/" ",B7(B"]	"#g"		":"		["#/l/" ",B3(B"]
	"#s"		"#o"		["#0" ",Ax(B"]	"#/..t/"
	"#f"		["#t" ",Fh(B"]	["#d" ",Ap(B"]	["#/jn/" ",0T(B"]
	"$B%p(B"		"$B%q(B"		"#F"		"#'"
	"#`"		["#\"" ",A((B"]	"#^^"		"$B"e(B"
	["#/3$B"e(B/" ",A3$B"e(B"]["#'A" ",AA(B"]	"#$B&U(B"		["#\"O" ",AV(B"]
	["((" ",A+(B"]	["))" ",A;(B"]	["#\"U" ",A\(B"]	["#=A" ",D@(B"]
	"#/5$B"e(B/"	"#/n$B"e(B/"	["#^I" ",AN(B"]	["#/L/" ",B#(B"]
	["#/AE/" ",AF(B"]	["#h" ",C1(B"]	["#'E" ",AI(B"]	nil))

(defconst odccl-gaiji-kojien2
  (list	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil		["#\"A" ",AD(B"]	["#'S" ",B&(B"]	["#=I" ",DO(B"]
	["$B"r(B" ",AE(B"]
	(append odccl-start-inv '("[") '((repeat)))
	(append '("]") odccl-end-inv '((repeat)))
	(append odccl-start-bold '("[") '((repeat)))
	(append '("]") odccl-end-bold '((repeat)))
	(append odccl-start-bold '("[") '((repeat)))
	(append '("]") odccl-end-bold '((repeat)))
	["#=O" ",DR(B"]
	"^$B"*(B"		["#,S" ",B:(B"]	["#,e" ",Bj(B"]	["#vC" ",BH(B"]
	["#~N" ",CQ(B"]	"#.Z"		"#.H"		"#.R"
	"#.S"		"#.D"
	(append odccl-start-bold '("'") odccl-end-bold '((repeat)))
	["#vn" ",Br(B"]
	["#'y" ",A}(B"]	["#`u" ",Ay(B"]	"#Y"
	(append odccl-start-bold '("<") '((repeat)))
	(append '(">") odccl-end-bold '((repeat)))
	["#oa" ",Ae(B"]	"#_b"	nil))

(defconst odccl-gaiji-kojien3
  (list	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil
	(vector "$B"+"*(B" (compose-string "$B"+"*(B"))
	(append odccl-start-inv '("$BJ8(B") odccl-end-inv '((repeat)))
	"#$B!?(B"
	"#$B!@(B"		["#/$B%5:s(B/" "$(DXt(B"]"#$B!9(B"		"#/$BLZ9'(B/"
	["#/$BLZFb(B/" "$(DC.(B"]["#/$BLZ?b(B/" "$(DD.(B"]["#/$BLZ?'(B/" "$(DCP(B"]["#/$BEZ[4(B/" "$(D7[(B"]
	["#/$BLZ>e2<(B/" "$(DC_(B"]		["#/$BJFRT(B/" "$(DSF(B"]
	["#/$B%$H,7n(B/" "$(D0{(B"]		["#/$BEZ?b(B/" "$(D7t(B"]
	["#/$B:MO.(B/" "$(D?g(B"]		["#/$B7JJG(B/" "$(Dh6(B"]
	["#/$BQRVx3-3-=w(B/" "$(DN0(B"]		["#/$B;e7=(B/" "$(DSd(B"]
	["#/$BLgCn(B/" "$(Df,(B"]["#/$BC]WP(B/" "$(DR\(B"]["#/$B7j2L(B/" "$(DQ\(B"]["III" "$(C%2(B"]
	["#/$B6b8r(B/" "$(Dcr(B"]["#/$B8}:P(B/" "$(D6M(B"]"#/$B!@(B\"/"
	(append odccl-start-bold '("$B!L(B") '((repeat)))
	(append '("$B!M(B") odccl-end-bold '((repeat)))
	(vector "($B#C(B)" (compose-string "$B"~#c(B") '((repeat)))
	(append odccl-start-bold '("$B"*(B") odccl-end-bold '((repeat)))
	["#/$B6bAc(B/" "$(De<(B"]
	["#/$BG7sU(B/" "$(Daj(B"]		["IV" "$(C%3(B"]
	["#/$B%$>.7n(B/" "$(D1?(B"]		["#/$B6uD;(B/" "$(Dl!(B"]
	["#/$B2SO%(B/" "$(DQN(B"]["#/$B:M08(B/" "$(D?x(B"]["#/$B</>O(B/" "$(Dlg(B"]["#/$BLZL5(B/" "$(DE&(B"]
	["#/$BEP&B(B/" "$(DbG(B"]"->"		["#/$B8}0&(B/" "$(D6P(B"]["$B#I(B" "$(C%0(B"]
	["II" "$(C%1(B"]	"??"		"#/$B%5W0(B/"	["VI" "$(C%5(B"]
	"#$BRD(B"		"$B!!(B"		"$B2s(B"
	(append odccl-start-bold '("--") odccl-end-bold '((repeat)))
	(append odccl-start-bold '("$B!](B") odccl-end-bold '((repeat)))
	"??"
	(append odccl-start-inv '("$B!Z(BG$B![(B") odccl-end-inv '((repeat)))
	"#/JAS(IO08(B/"
	"$B(1(/(B"		"($B8x(B)"		"#/JIS(IO08(B/"	"$B(-(B"
	"#/$B<V\F(B/"	["#$B&R(B" "$(D&x(B"]	"#/$B%5W0P&(B/"
	(append odccl-start-bold odccl-start-inv
		'("$B"*(B") odccl-end-inv odccl-end-bold '((repeat)))
	(append odccl-start-inv '("$B"*(B") odccl-end-inv '((repeat)))
	nil))

(defun odccl-make-ccl-kojien (&optional key)
  (odccl-make-ccl
   (odccl-make-low-tables
    (append
     (odccl-low-alist-japanese key)
     (list (cons 161
		 (` (read-branch
		     r2
		     (,@ (odccl-select odccl-gaiji-kojien1 key)))))
	   (cons 162
		 (` (read-branch
		     r2
		     (,@ (odccl-select odccl-gaiji-kojien2 key)))))
	   (cons 164
		 (` (read-branch
		     r2
		     (,@ (odccl-select odccl-gaiji-kojien3 key))))))))))

)					; end of eval-when-compile

;(defconst od-ccl-kojien (odccl-compile odccl-make-ccl-kojien))

(odccl-define od-ccl-kojien-x (ccl-compile (odccl-make-ccl-kojien 'x)))

(odccl-define od-ccl-kojien-nw (ccl-compile (odccl-make-ccl-kojien)))

(od-modify-dict-parameters
 "kojien"
 '((pretty-name . "$B9-<-1q(B")
   (ccl . (od-ccl-kojien-x . od-ccl-kojien-nw))
   (japanese-input . t)
   (filter-func-list
    . (od-convert-one-digit-superscript od-filter-buffer))
   (filter-regexp-list . nil)
   ;; (fill-function . default)
   (compute-fill-prefix-func . nil)
   (summary . nil)
   (header-column . t)))

(od-modify-dict-parameters
 "kojien-furoku"
 '((pretty-name . "$B9-<-1qIUO?(B")
   (ccl . (od-ccl-kojien-x . od-ccl-kojien-nw))
   (japanese-input . t)
   (filter-func-list
    . (od-convert-one-digit-superscript od-filter-buffer))
   (filter-regexp-list . nil)
   ;; (fill-function . default)
   (compute-fill-prefix-func . nil)
   (summary . nil)
   (header-column . t)))

(od-add-title-name "		    $B4dGH=qE9(B $B9-<-1q(B($BBh;0HG!&Bh;MHG(B)")

(od-add-title-trademark "* $B!V9-<-1q!W$O3t<02q<R4dGH=qE9$NEPO?>&I8$G$9(B.")

;;; od-kojien.el ends here
