;;; -*-byte-compile-dynamic: t;-*-
;;; od-chujiten.el --- dictionary-dependent file (new eiwa-waei chujiten)
;; Author: $BJR;3IRIW(B <toshioji@darkover.iijnet.or.jp>
;;	YAMAMOTO Mitsuharu <mituharu@is.s.u-tokyo.ac.jp>
;; Maintainer: YAMAMOTO Mitsuharu <mituharu@is.s.u-tokyo.ac.jp>

(eval-when-compile

(defconst odccl-gaiji-chujiten1
  (list	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil		["#/ae/" ",0$(B"]	["#o" ",07(B"]	["#v" ",0+(B"]
	["#/er/" ",0:(B"]	["#e" ",0'(B"]	["#E" ",0#(B"]	["#t" ",0H(B"]
	["#d" ",0I(B"]	["#s" ",0L(B"]	["#g" ",0M(B"]	["#/ng/" ",0U(B"]
	[":" ",0r(B"]	["#a" ",0,(B"]	"#/om/"		"#/t/"
	["#/oe/" ",00(B"]	["$B&5(B" ",FV(B"]	["$B'k(B" ",Li(B"]	["#," ",A8(B"]
	["#$B!&(B" "#(I%(B"]	["#u" ",B"(B"]	["#,c" ",Ag(B"]	["#/vC/" ",BH(B"]
	["#/vr/" ",Bx(B"]
	(vector "#$B!&(B1" (compose-string ",B(B1"))
	(vector "#$B!&(B3" (compose-string ",B(B3"))
	["#/ua/" ",Bc(B"]
	(vector "#/ue/" (compose-string ",B"(Be"))
	(vector "#/uo/" (compose-string ",B"(Bo"))
	["#'E" ",AI(B"]	["#'a" ",Aa(B"]
	["#'e" ",Ai(B"]	["#'i" ",Am(B"]	["#'o" ",As(B"]	["#`a" ",A`(B"]
	["#`e" ",Ah(B"]
		["#'#/ae/" ",0p$(B"]	["#'#o" ",0p7(B"]	[ "#'#v" ",0p+(B"]
	["#'#/er/" ",0p:(B"]	["#'#e" ",0p'(B"]	["#'#E" ",0p#(B"]	["#'#a" ",0p,(B"]
	["#'#$B'k(B" ",0p,Li(B"]	["#'-" ",0p(B-"]	["#'3" ",0p(B3"]	["#'4" ",0p(B4"]

	["#'A" ",0p(BA"]	["#'E" ",0p(BE"]	["#'I" ",0p(BI"]	["#'O" ",0p(BO"]
	["#'U" ",0p(BU"]	["#'Y" ",0p(BY"]
	["#'a" ",0p(Ba"]	["#'e" ",0p(Be"]	["#'i" ",0p(Bi"]	["#'o" ",0p(Bo"]
	["#'u" ",0p(Bu"]	["#'y" ",0p(By"]

	["#,#/ae/" ",0q$(B"]["#,#o" ",0q7(B"]	["#,#v" ",0q+(B"]	["#,#/er/" ",0q:(B"]
	["#,#e" ",0q'(B"]	["#,#E" ",0q#(B"]	["#,#a" ",0q,(B"]	["#,-" ",0q(B-"]
	["#,A" ",0q(BA"]	["#,E" ",0q(BE"]	["#,I" ",0q(BI"]	["#,O" ",0q(BO"]
	["#,U" ",0q(BU"]	["#,a" ",0q(Ba"]	["#,e" ",0q(Be"]	["#,i" ",0q(Bi"]
	["#,o" ",0q(Bo"]	["#,u" ",0q(Bu"]	["#,y" ",0q(By"]	["#\"a" ",Ad(B"]
	["#\"e" ",Ak(B"]	["#\"i" ",Ao(B"]	["#\"o" ",Av(B"]	["#\"u" ",A|(B"]
	["#^a" ",Ab(B"]	["#^e" ",Aj(B"]	["#^i" ",An(B"]	["#^o" ",At(B"]
	["#=a" ",D`(B"]	["#=e" ",D:(B"]	["#=o" ",Dr(B"]	["#~#o" ",0>(B"]
	["#~#E" ",0;(B"]	["#~#a" ",0<(B"]	["#~#/oe/" ",0=(B"]	))

(defconst odccl-gaiji-chujiten2
  (list	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil		["#~a" ",Ac(B"]	["#~n" ",Aq(B"]	["#~o" ",Au(B"]
	["," "(I_(B"]	["." ",A7(B"]	":"
	(vector ".:" (compose-string "`:"))
	["$B!&(B" "(I%(B"]	"`"		"'"		"``"
	"''"		["$B!&(B" "(I%(B"]
	(append odccl-start-bold '("(") '((repeat)))
	(append '(")") odccl-end-bold '((repeat)))
	"$B!Z(B"	"$B![(B"
	(append odccl-start-bold '("<") '((repeat)))
	(append '(">") odccl-end-bold '((repeat)))
	"$B!T(B"	"$B!U(B"
	(append odccl-start-inv '("[") '((repeat)))
	(append '("]") odccl-end-inv '((repeat)))
	(append odccl-start-bold '("[") '((repeat)))
	(append '("]") odccl-end-bold '((repeat)))
	["#/vC/" ",Bh(B"]	["#'c" ",Bf(B"]
	))

(defconst odccl-gaiji-chujiten3
  (list	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil	nil	nil	nil	nil
	nil	nil	nil	nil
	(vector "$B"+"*(B" (compose-string "$B"+"*(B"))
	["_$B",(B" "$(C"V(B"]
	(vector "$B(@(B" (compose-string "$B!B(!(B"))
	"#$BRD(B"
	"#$B"v(B"	["[$B;2>H(B]" "$(C"Q(B"]	"#/(IEA-WY(B/"	"#/$B>e(IL*YO0@(B/"
	"#/$B2<(IL*YO0@(B/"	["#$B&R(B" "$(D&x(B"]		"#$B"^(B"		"$B!A!A(B"
	"#$B"e(B"	"#&"	"#$B#X(B"	"#/fi/"
	["#/$BLZ>e2<(B/" "$(DC_(B"]	["#/thorn/" ",A^(B"]	"#/$B!B!{!B(B/"
	(vector "($B#C(B)" (compose-string "$B"~#c(B"))
	["#/$B%5:s(B/" "$(DXt(B"]
	(vector "#$B!b(B" (compose-string "$B("!a(B"))
	["#/$BB-IU(B/" "$(D_h(B"]
	"#/$B"$"&(B/"
	["#/$BGOTo(B/" "$(Di%(B"]["#/$BGO@'(B/" "$(Di@(B"]["#/$B9C1)(B/" "$(DU8(B"]
	"#/$B2P@P(B/"	["#/$B:MVu(B/" "$(D?Y(B"]
	["#/$BLZH}(B/" "$(DDH(B"]["#/$BQRVx3-3-=w(B/" "$(DN0(B"]
	["#/$B=.;3(B/" "$(DVv(B"]
	"$B!h(B"	"$B"h(B"	["#'$B!A(B" ",0p$B!A(B"]	["#,$B!A(B" ",0q$B!A(B"]
	["#'$B!D(B" ",0p$B!D(B"]
	(append odccl-start-inv '("[$BL>(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$BBe(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$B7A(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$BF0(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$BI{(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$B@\(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$BA0(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$B4'(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$B4V(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$B=u(B") '((repeat)))
	(append '("$BF0(B]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$B@\(B") '((repeat)))
	(append '("$BF,(B]") odccl-end-inv '((repeat)))
	(append '("$BHx(B]") odccl-end-inv '((repeat)))
	(vector "[U]" (compose-string "$B#u""(B"))
	(vector "[C]" (compose-string "$B#c""(B"))
	(append odccl-start-inv '("($BC1(B)") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("($BJ#(B)") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[A]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[P]") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("($B<+(B)") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("($BB>(B)") odccl-end-inv '((repeat)))
	(append odccl-start-inv '("[$B@.(B") '((repeat)))
	(append '("$B6g(B]") odccl-end-inv '((repeat)))
	"$B!](B"	"$B"^(B"	"$B!!(B"
	))

(defun odccl-make-ccl-chujiten (&optional key)
  (odccl-make-ccl
   (odccl-make-low-tables
    (append
     (odccl-low-alist-japanese key)
     (list (cons 161
		 (` (read-branch
		     r2
		     (,@ (odccl-select odccl-gaiji-chujiten1 key)))))
	   (cons 162
		 (` (if (, (odccl-check 'col))
			(read-branch
			 r2
			 (,@ (odccl-select odccl-gaiji-chujiten3 key)))
		      (read-branch
		       r2
		       (,@ (odccl-select odccl-gaiji-chujiten2 key)))))))))))


)					; end of eval-when-compile

;(defconst od-ccl-chujiten (odccl-compile odccl-make-ccl-chujiten))

(odccl-define od-ccl-chujiten-x (ccl-compile (odccl-make-ccl-chujiten 'x)))

(odccl-define od-ccl-chujiten-nw (ccl-compile (odccl-make-ccl-chujiten)))

(defvar od-chujiten-not-example-header-regexp " +[^ (I%$B!&(B]")
(defvar od-chujiten-example-header-regexp " +[(I%$B!&(B]")

(defun od-filter-chujiten ()
  (let ((head (concat "^" od-chujiten-not-example-header-regexp))
	(tail (concat "\n" od-chujiten-example-header-regexp)))
    (goto-char 1)
    (while (re-search-forward head nil t)
      (end-of-line)
      (if (looking-at tail)
	  (progn (if (= (preceding-char) ?.) (delete-char -1))
		 (insert "$B!'(B"))))))

(defun od-eiwachujiten-compute-fill-prefix ()
  (save-excursion
    (while (eolp)
      (forward-char))
    (cond ((looking-at
	    " +\\([A-Z]?[1-9][0-9]?[a-z]? \\|[a-z] \\|[(I%$B!&(B]\\|[$B!](B]\\|([1-9][0-9]?)\\)")
;;;	   (goto-char (match-end 0))
;;;	   (concat "$B!!(B" (make-string (- (current-column) 2) ?\ )))
;;	   (goto-char (match-beginning 0))
;;	   (concat "$B!!(B" (make-string (+ (current-column) 3) ?\ )))
	   "$B!!(B   ")
	  ((>= (current-indentation) 2)
	   (concat "$B!!(B"
		   (make-string (- (current-indentation) 2) ?\ )))
	  (t
	   nil))))

(defun od-waeichujiten-compute-fill-prefix ()
  "$B!!(B   ")

(od-modify-dict-parameters
 "eiwa"
 (cons
  (cons 'summary
	(cons od-chujiten-not-example-header-regexp
	      "\\($B!'(B$\\|\^M\\)"))
  '((pretty-name . "$B?71QOBCf<-E5(B")
    (ccl . (od-ccl-chujiten-x . od-ccl-chujiten-nw))
    (japanese-input . nil)
    (filter-func-list
     . (od-convert-one-digit-superscript
	od-filter-chujiten od-filter-buffer))
    (filter-regexp-list . nil)
    ;; (fill-function . default)
    (compute-fill-prefix-func . od-eiwachujiten-compute-fill-prefix)
    (header-column . nil)
    (secondary-dictionary . ((?k . "waei") (?K . "waei")))
    (strip-stress-on-isearch . t))))

(od-modify-dict-parameters
 "waei"
 '((pretty-name . "$B?7OB1QCf<-E5(B")
   (ccl . (od-ccl-chujiten-x . od-ccl-chujiten-nw))
   (japanese-input . t)
   (filter-func-list
    . (od-convert-one-digit-superscript od-filter-buffer))
   (filter-regexp-list . nil)
   ;; (fill-function . default)
   (compute-fill-prefix-func . od-waeichujiten-compute-fill-prefix)
   (summary . nil)
   (header-column . nil)
   (secondary-dictionary . ((?a . "eiwa") (?A . "eiwa")))
   (strip-stress-on-isearch . t)))

(od-add-title-name "	   $B8&5f<R(B $B?71QOBCf<-E5(B($BBh(B5$BHG(B)$B!&?7OB1QCf<-E5(B($BBh(B3$BHG(B)")

;;; od-chujiten.el ends here
